/* Hero section */

#hero {
    font-family: "Roboto", system-ui, -apple-system, sans-serif;
    
    min-height: 100dvh;

    display: grid;
    place-items: center;

    overflow: clip;
    position: relative;
    isolation: isolate;
}
#hero::after {
    content: "";
    position: absolute;
    inset: 0;

    background: linear-gradient(
        to right,
        hsla(225, 21%, 7%, 0.95),
        hsla(225, 21%, 7%, 0.65)
    );

    z-index: -1;
}
#hero picture.back-gr {
    position: absolute;
    inset: 0;
    z-index: -1;
}
#hero picture.back-gr img {
    min-width: 100%;
    min-height: 100%;
}

#hero .hero-inner {
    padding-block: 15rem 7.5rem;

    display: grid;
    gap: 3rem;
}

#hero .hero-inner .neon-box {
    max-width: max-content;
}

#hero .hero-inner h1 {
    max-width: 18ch;

    font-size: 7.2rem;
    line-height: 1.25;
    font-style: italic;
    text-transform: uppercase;
    color: var(--font-col-600);
    margin-bottom: 1.5rem;
}

#hero .hero-inner p {
    max-width: 80ch;

    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    color: var(--font-col-400);

    text-align: justify;
}

#hero .hero-inner ul {
    list-style: none;

    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(22.5rem, 100%), 1fr));
    gap: 2rem;
}

#hero .hero-inner ul li strong {
    display: block;
    font-size: 3rem;
    font-weight: 700;
    color: var(--yellow);
    /* text-align: center; */
}
#hero .hero-inner ul li small {
    /* margin-inline: auto; */
    max-width: 25ch;

    display: block;

    font-size: 1.4rem;
    color: var(--font-col-300);
    /* text-transform: uppercase;
    text-align: center;
    text-wrap: balance; */
}

#hero .hero-inner .buttons {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}


/* Opportunities */

#opportunities ul li .header-line {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
}
#opportunities ul li .header-line .branch {
    padding: 6px 12px;

    font-size: 1.2rem;
    font-weight: 700;
    line-height: 1;
    color: var(--yellow);

    background-color: hsla(from var(--yellow) h s l / 0.25);
    border-radius: 3rem;
}
#opportunities ul li .header-line svg {
    --size: 32px;
    color: var(--yellow);
    opacity: 0.5;
    transition: opacity 0.25s;
}
#opportunities ul li h3 {
    font-size: 2.4rem;
}

#opportunities ul li .conditions-line {
    display: flex;
    align-items: center;
    gap: 1rem;
}
#opportunities ul li .conditions-line svg {
    --size: 16px;
    color: var(--yellow);
}
#opportunities ul li .conditions-line span {
    font-size: 1.4rem;
    line-height: 1.25;
    color: var(--font-col-200);
}

#opportunities ul li .color-btn {
    padding: 1.2rem 2.4rem;
    font-size: 1.6rem;
}
#opportunities ul li:is(:hover, :focus-within) {
    border-color: var(--yellow);
    & .header-line svg {
        opacity: 1;
    }
}

#opportunities .buttons {
    margin-inline: auto;
}


/* Principals */
#principals .checks {
    grid-template-columns: 48px 1fr;
    gap: 1.6rem;
}
#principals .checks .strong-ico {
    width: 4.8rem;
    border: unset;
    border-radius: 5rem;
}
#principals .checks .strong-ico svg {
    --d: 24px;
}

/* How to */
#how-to p.text {
    max-width: 60ch;
    font-size: 2rem;
}
#how-to ul li {
    padding: 3.2rem;
    position: relative;
    isolation: isolate;
}
#how-to ul li svg {
    --size: 32px;

    position: absolute;
    top: 50%; right: 0;
    transform: translate(50%, -50%);

    color: var(--yellow);
    opacity: 0.5;

    border: 1px solid var(--yellow);
    border-radius: 50%;

    z-index: 1;
}
#how-to ul li strong {
    font-size: 6rem;
    font-weight: 700;
    line-height: 1;
    color: var(--yellow);
    opacity: 0.25;
}

/* CTA */

#cta {
    padding-block: 8rem;
    background-color: var(--main-col2);
}
#cta .-main-box {
    display: grid;
    justify-items: center;
    gap: 4rem;
}
#cta h2 {
    font-size: 4.8rem;
}
#cta p {
    max-width: 68ch;

    font-size: 2rem;
    line-height: 1.625;
    color: var(--font-col-600);
    text-align: center;
}
#cta .buttons {
    display: flex;
    align-items: center;
    gap: 1.6rem;
}
#cta small {
    margin-inline: auto;
    padding-top: 3rem;
    
    font-size: 1.4rem;
    color: var(--font-col-300);
    text-align: center;

    border-top: 1px solid var(--border-col);
}